Commit 7ed790f7 authored by Friedrich W. H. Kossebau's avatar Friedrich W. H. Kossebau
Browse files

Revert "Note KF5 version where SERVICES_INSTALL_DIR, DATA_INSTALL_DIR are needed"

Missed to push another needed patch to KPackage to make this work,
so will be only a later KF5 version where this is fixed hopefully.

This reverts commit fb427298.
parent 494da6a6
......@@ -8,6 +8,9 @@ set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
include(KDEInstallDirs)
# KDECMakeSettings expexts LIB_INSTALL_DIR set
set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR})
# Plasma macros assume SERVICES_INSTALL_DIR, DATA_INSTALL_DIR
set(SERVICES_INSTALL_DIR ${KDE_INSTALL_KSERVICES5DIR})
set(DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR})
include(KDECMakeSettings)
macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS Plasma)
......@@ -15,11 +18,6 @@ macro_optional_find_package(KF5 ${REQUIRED_KF5_VERSION} QUIET COMPONENTS Plasma)
if (NOT KF5_FOUND)
return()
endif()
if(${KF5_VERSION} VERSION_LESS "5.26.0")
# Plasma frameworks macros < 5.26 use old SERVICES_INSTALL_DIR, DATA_INSTALL_DIR
set(SERVICES_INSTALL_DIR ${KDE_INSTALL_KSERVICES5DIR})
set(DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR})
endif()
add_subdirectory(qmlplugin)
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment